Bug 65859 - [chromium] Notify MemoryCache of decoded data access
: [chromium] Notify MemoryCache of decoded data access
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Tony Gentilcore
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-08 08:42 PDT by Tony Gentilcore
Modified: 2011-08-10 12:13 PDT (History)
5 users (show)

See Also:


Attachments
Patch (2.53 KB, patch)
2011-08-08 09:14 PDT, Tony Gentilcore
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Gentilcore 2011-08-08 08:42:54 PDT
[chromium] Notify MemoryCache of decoded data access
Comment 1 Tony Gentilcore 2011-08-08 09:14:58 PDT
Created attachment 103256 [details]
Patch
Comment 2 Eric Seidel 2011-08-09 07:24:46 PDT
Comment on attachment 103256 [details]
Patch

So win comes from this causing the side effect of pruning *other* data by marking this data as recently used?
Comment 3 Tony Gentilcore 2011-08-09 09:51:21 PDT
(In reply to comment #2)
> (From update of attachment 103256 [details])
> So win comes from this causing the side effect of pruning *other* data by marking this data as recently used?

Yeah, properly populating the LRU so we prune wisely is half of it. The other half is just getting prune() to be called at all in cases like scrolling through a very large page of images where the decoded data doesn't fit within the target cache size.

BTW, do you have any historical context here about why the chromium port doesn't do this like all the other ports? I'm curious if it is intentional or just an oversight. I couldn't dig up anything relevant in the ChangeLogs.
Comment 4 James Robinson 2011-08-10 10:48:48 PDT
Comment on attachment 103256 [details]
Patch

Yay!
Comment 5 WebKit Review Bot 2011-08-10 12:13:21 PDT
Comment on attachment 103256 [details]
Patch

Clearing flags on attachment: 103256

Committed r92782: <http://trac.webkit.org/changeset/92782>
Comment 6 WebKit Review Bot 2011-08-10 12:13:25 PDT
All reviewed patches have been landed.  Closing bug.